diff --git a/tests/test_formdef.py b/tests/test_formdef.py
index d4ad2e14..f274d533 100644
--- a/tests/test_formdef.py
+++ b/tests/test_formdef.py
@@ -4,24 +4,32 @@ import io
 import json
 import os
 import pickle
-import sys
 import shutil
+import sys
 import time
 
 import pytest
-
 from django.utils.encoding import force_bytes
 from quixote import cleanup
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+
 from wcs import fields
 from wcs.blocks import BlockDef
-from wcs.formdef import FormDef, get_formdefs_of_all_kinds
-from wcs.qommon.http_request import HTTPRequest
+from wcs.fields import DateField
+from wcs.fields import FileField
+from wcs.fields import ItemField
+from wcs.fields import PageField
+from wcs.fields import StringField
+from wcs.formdef import FormDef
+from wcs.formdef import get_formdefs_of_all_kinds
 from wcs.qommon.form import PicklableUpload
-from wcs.workflows import Workflow, AttachmentEvolutionPart, WorkflowBackofficeFieldsFormDef
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
-from wcs.fields import StringField, FileField, DateField, ItemField, PageField
-
-from utilities import create_temporary_pub, clean_temporary_pub
+from wcs.qommon.http_request import HTTPRequest
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
+from wcs.workflows import AttachmentEvolutionPart
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
 
 def pytest_generate_tests(metafunc):
@@ -496,8 +504,10 @@ def test_unused_file_removal_job(pub):
 def test_get_formdefs_of_all_kinds(pub):
     from wcs.admin.settings import UserFieldsFormDef
     from wcs.carddef import CardDef
-    from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
-    from wcs.workflows import WorkflowBackofficeFieldsFormDef, WorkflowVariablesFieldsFormDef
+    from wcs.wf.form import FormWorkflowStatusItem
+    from wcs.wf.form import WorkflowFormFieldsFormDef
+    from wcs.workflows import WorkflowBackofficeFieldsFormDef
+    from wcs.workflows import WorkflowVariablesFieldsFormDef
 
     BlockDef.wipe()
     FormDef.wipe()
diff --git a/tests/test_formdef_import.py b/tests/test_formdef_import.py
index 61abe627..c583e685 100644
--- a/tests/test_formdef_import.py
+++ b/tests/test_formdef_import.py
@@ -1,20 +1,21 @@
 # -*- coding: utf-8 -*-
 
 import io
-import pytest
 import shutil
 import time
 import xml.etree.ElementTree as ET
 
+import pytest
 from quixote import cleanup
+from utilities import create_temporary_pub
 
-from wcs.categories import Category
 from wcs.carddef import CardDef
-from wcs.formdef import FormDef, fields, FormdefImportError
-from wcs.workflows import Workflow
+from wcs.categories import Category
+from wcs.formdef import FormDef
+from wcs.formdef import FormdefImportError
+from wcs.formdef import fields
 from wcs.qommon.misc import indent_xml as indent
-
-from utilities import create_temporary_pub
+from wcs.workflows import Workflow
 
 
 def setup_module(module):
@@ -211,6 +212,7 @@ def test_workflow_options_with_no_values():
 
 def test_workflow_options_with_file():
     from quixote.http_request import Upload
+
     from wcs.qommon.form import UploadedFile
 
     upload = Upload('/foo/bar', content_type='application/vnd.oasis.opendocument.text')
diff --git a/tests/test_hobo.py b/tests/test_hobo.py
index 88e7a1ea..fb076b96 100644
--- a/tests/test_hobo.py
+++ b/tests/test_hobo.py
@@ -4,23 +4,22 @@ import copy
 import json
 import os
 import pickle
-import pytest
 import shutil
 import sys
 import tempfile
 import urllib.parse
 
 import mock
-
-from utilities import create_temporary_pub, clean_temporary_pub
-
+import pytest
 from quixote import cleanup
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
-from wcs.qommon import force_str
-from wcs.ctl.check_hobos import CmdCheckHobos
-from wcs.publisher import WcsPublisher
 from wcs import fields
 from wcs import sql
+from wcs.ctl.check_hobos import CmdCheckHobos
+from wcs.publisher import WcsPublisher
+from wcs.qommon import force_str
 
 HOBO_JSON = {
     'services': [
diff --git a/tests/test_mail_templates.py b/tests/test_mail_templates.py
index 220cc34f..5a4bc2f7 100644
--- a/tests/test_mail_templates.py
+++ b/tests/test_mail_templates.py
@@ -3,21 +3,25 @@
 import base64
 import io
 import os
-import pytest
-from webtest import Upload
 import xml.etree.ElementTree as ET
 
+import pytest
 from django.utils.encoding import force_bytes
 from quixote import cleanup
-from wcs.formdef import FormDef
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+from webtest import Upload
+
 from wcs.fields import FileField
+from wcs.formdef import FormDef
 from wcs.mail_templates import MailTemplate
-from wcs.workflows import Workflow, SendmailWorkflowStatusItem
-from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.form import PicklableUpload
+from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.ident.password_accounts import PasswordAccount
-
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
+from wcs.workflows import SendmailWorkflowStatusItem
+from wcs.workflows import Workflow
 
 
 def setup_module(module):
diff --git a/tests/test_misc.py b/tests/test_misc.py
index 62b78ec1..b4addf6c 100644
--- a/tests/test_misc.py
+++ b/tests/test_misc.py
@@ -1,49 +1,49 @@
 # -*- coding: utf-8 -*-
 
+import base64
+import datetime
 import json
-import mock
-import pytest
 import os
 import pickle
 import pwd
-import socket
 import re
+import socket
 import time
-import datetime
-import base64
 
+import mock
+import pytest
+from django.core.cache import cache
 from django.utils import translation
-
 from quixote import cleanup
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 import wcs.api  # workaround against circular dependencies :/
-from wcs.qommon.form import FileSizeWidget, PicklableUpload
-from wcs.qommon.humantime import humanduration2seconds, seconds2humanduration
-from wcs.qommon.misc import (
-    simplify,
-    json_loads,
-    parse_isotime,
-    format_time,
-    date_format,
-    get_as_datetime,
-    normalize_geolocation,
-    ellipsize,
-)
+import wcs.qommon.storage
 from wcs.admin.settings import FileTypesDirectory
-from wcs.scripts import Script
-from wcs.qommon import force_str, evalutils
-from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon.backoffice.listing import pagination_links
-from wcs.qommon.emails import email as send_email, docutils
 from wcs.fields import StringField
-from wcs.workflows import Workflow
+from wcs.qommon import evalutils
+from wcs.qommon import force_str
+from wcs.qommon.backoffice.listing import pagination_links
+from wcs.qommon.emails import docutils
+from wcs.qommon.emails import email as send_email
+from wcs.qommon.form import FileSizeWidget
+from wcs.qommon.form import PicklableUpload
+from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.humantime import humanduration2seconds
+from wcs.qommon.humantime import seconds2humanduration
+from wcs.qommon.misc import date_format
+from wcs.qommon.misc import ellipsize
+from wcs.qommon.misc import format_time
+from wcs.qommon.misc import get_as_datetime
+from wcs.qommon.misc import json_loads
+from wcs.qommon.misc import normalize_geolocation
+from wcs.qommon.misc import parse_isotime
+from wcs.qommon.misc import simplify
+from wcs.scripts import Script
 from wcs.wf.jump import JumpWorkflowStatusItem
-import wcs.qommon.storage
-
-from django.core.cache import cache
-
-
-from utilities import get_app, create_temporary_pub, clean_temporary_pub
+from wcs.workflows import Workflow
 
 
 def setup_module(module):
diff --git a/tests/test_prefill.py b/tests/test_prefill.py
index 3d7288bb..a23e3476 100644
--- a/tests/test_prefill.py
+++ b/tests/test_prefill.py
@@ -2,13 +2,13 @@ import datetime
 import shutil
 
 import pytest
+from quixote import cleanup
+from quixote import get_request
+from utilities import create_temporary_pub
 
-from quixote import cleanup, get_request
-from wcs.qommon.http_request import HTTPRequest
 from wcs import fields
 from wcs.carddef import CardDef
-
-from utilities import create_temporary_pub
+from wcs.qommon.http_request import HTTPRequest
 
 
 def setup_module(module):
diff --git a/tests/test_register.py b/tests/test_register.py
index 14e23875..f7f57b1f 100644
--- a/tests/test_register.py
+++ b/tests/test_register.py
@@ -1,17 +1,19 @@
 # -*- coding: utf-8 -*-
 
-import pytest
 import hashlib
 import re
 import shutil
+
+import pytest
 from quixote import cleanup
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs.qommon import force_str
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.ident.password_accounts import PasswordAccount
 
-from utilities import get_app, create_temporary_pub, clean_temporary_pub
-
 
 def pytest_generate_tests(metafunc):
     if 'pub' in metafunc.fixturenames:
diff --git a/tests/test_role.py b/tests/test_role.py
index cabc4d51..3a93921f 100644
--- a/tests/test_role.py
+++ b/tests/test_role.py
@@ -2,12 +2,12 @@
 
 import pickle
 
-from utilities import create_temporary_pub, clean_temporary_pub
+from quixote import get_publisher
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
 from wcs.roles import get_user_roles
 
-from quixote import get_publisher
-
 
 def setup_module(module):
     pub = create_temporary_pub()
diff --git a/tests/test_rootdirectory.py b/tests/test_rootdirectory.py
index ed4da92f..ed27938f 100644
--- a/tests/test_rootdirectory.py
+++ b/tests/test_rootdirectory.py
@@ -1,18 +1,18 @@
 import os
-import sys
 import shutil
+import sys
 
 import pytest
-
 from quixote import cleanup
-from wcs.qommon import sessions
+from utilities import create_temporary_pub
+from utilities import get_app
+
+import wcs.forms.root
 from wcs import formdef
-from wcs.qommon.http_request import HTTPRequest
-from wcs.formdef import FormDef
 from wcs.categories import Category
-import wcs.forms.root
-
-from utilities import get_app, create_temporary_pub
+from wcs.formdef import FormDef
+from wcs.qommon import sessions
+from wcs.qommon.http_request import HTTPRequest
 
 
 def setup_module(module):
diff --git a/tests/test_saml_auth.py b/tests/test_saml_auth.py
index 393c2093..f1751880 100644
--- a/tests/test_saml_auth.py
+++ b/tests/test_saml_auth.py
@@ -1,8 +1,8 @@
 import datetime
 import os
 import shutil
-import uuid
 import urllib.parse
+import uuid
 
 try:
     import lasso
@@ -10,19 +10,22 @@ except ImportError:
     lasso = None
 
 import pytest
-
 from quixote import cleanup
-from quixote import get_session, get_session_manager
+from quixote import get_session
+from quixote import get_session_manager
+from test_hobo_notify import PROFILE
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+
+from wcs.qommon import sessions
+from wcs.qommon import x509utils
+from wcs.qommon.errors import RequestError
 from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.ident.idp import AdminIDPDir
+from wcs.qommon.ident.idp import MethodAdminDirectory
 from wcs.qommon.misc import get_lasso_server
 from wcs.qommon.saml2 import Saml2Directory
-from wcs.qommon.ident.idp import MethodAdminDirectory, AdminIDPDir
-from wcs.qommon import sessions, x509utils
-from wcs.qommon.errors import RequestError
-
-from utilities import get_app, create_temporary_pub, clean_temporary_pub
-
-from test_hobo_notify import PROFILE
 
 pytestmark = pytest.mark.skipif('lasso is None')
 
diff --git a/tests/test_sessions.py b/tests/test_sessions.py
index b6d6d02f..133f52c6 100644
--- a/tests/test_sessions.py
+++ b/tests/test_sessions.py
@@ -2,16 +2,18 @@ import datetime
 import os
 import shutil
 import time
-import pytest
 
+import pytest
 from quixote import cleanup
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.ident.password_accounts import PasswordAccount
-from wcs.qommon.http_request import HTTPRequest
-from wcs.formdef import FormDef
 from wcs import fields
-
-from utilities import create_temporary_pub, clean_temporary_pub, get_app, login
+from wcs.formdef import FormDef
+from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.ident.password_accounts import PasswordAccount
 
 
 def setup_module():
diff --git a/tests/test_snapshots.py b/tests/test_snapshots.py
index 465ddc07..6350bd0c 100644
--- a/tests/test_snapshots.py
+++ b/tests/test_snapshots.py
@@ -4,8 +4,13 @@ import shutil
 import xml.etree.ElementTree as ET
 
 import pytest
-
+from admin_pages.test_all import create_role
+from admin_pages.test_all import create_superuser
 from quixote.http_request import Upload
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
 from wcs.blocks import BlockDef
 from wcs.carddef import CardDef
@@ -14,14 +19,12 @@ from wcs.fields import ItemField
 from wcs.formdef import FormDef
 from wcs.qommon.form import UploadedFile
 from wcs.qommon.misc import localstrftime
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
-from wcs.workflows import Workflow
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.workflows import ExportToModel
+from wcs.workflows import Workflow
 from wcs.wscalls import NamedWsCall
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
-from admin_pages.test_all import create_superuser, create_role
-
 
 @pytest.fixture
 def pub(request, emails):
diff --git a/tests/test_sql.py b/tests/test_sql.py
index f5d50e39..9fd60907 100644
--- a/tests/test_sql.py
+++ b/tests/test_sql.py
@@ -10,23 +10,24 @@ import string
 import sys
 import time
 
+import pytest
 from django.core.management import call_command
-
 from quixote import cleanup
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
-from wcs.qommon import force_str
-from wcs import publisher, fields
-from wcs.formdef import FormDef
+import wcs.qommon.storage as st
+from wcs import fields
+from wcs import publisher
+from wcs import sql
 from wcs.formdata import Evolution
-from wcs.workflows import Workflow, CommentableWorkflowStatusItem, WorkflowCriticalityLevel
+from wcs.formdef import FormDef
+from wcs.qommon import force_str
 from wcs.wf.jump import JumpWorkflowStatusItem
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
-from wcs import sql
-import wcs.qommon.storage as st
-
-from utilities import create_temporary_pub, clean_temporary_pub
-
-import pytest
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowCriticalityLevel
 
 postgresql = pytest.mark.postgresql
 
diff --git a/tests/test_storage.py b/tests/test_storage.py
index ec1d08cf..9bdcceaf 100644
--- a/tests/test_storage.py
+++ b/tests/test_storage.py
@@ -1,18 +1,18 @@
 import datetime
 import os
+import random
 import shutil
 import time
-import random
 
 import pytest
-
 from quixote import cleanup
+from utilities import create_temporary_pub
+
+import wcs.qommon.storage as st
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
-from wcs.qommon.storage import StorableObject, cache_umask
-import wcs.qommon.storage as st
-
-from utilities import create_temporary_pub
+from wcs.qommon.storage import StorableObject
+from wcs.qommon.storage import cache_umask
 
 
 def setup_module(module):
diff --git a/tests/test_templates.py b/tests/test_templates.py
index 7392335b..8d73cc4f 100644
--- a/tests/test_templates.py
+++ b/tests/test_templates.py
@@ -2,9 +2,10 @@
 
 import datetime
 import os
-import pytest
 import string
 
+import pytest
+
 try:
     import langdetect
 except ImportError:
@@ -12,15 +13,16 @@ except ImportError:
 
 from django.test import override_settings
 from django.utils.timezone import now
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
+from wcs import fields
+from wcs.formdef import FormDef
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.substitution import CompatibilityNamesDict
-from wcs.qommon.template import Template, TemplateError
+from wcs.qommon.template import Template
+from wcs.qommon.template import TemplateError
 from wcs.variables import LazyFormData
-from wcs.formdef import FormDef
-from wcs import fields
-
-from utilities import create_temporary_pub, clean_temporary_pub
 
 
 @pytest.fixture
diff --git a/tests/test_texts.py b/tests/test_texts.py
index 3ea1e050..186acce7 100644
--- a/tests/test_texts.py
+++ b/tests/test_texts.py
@@ -1,11 +1,12 @@
-import sys
 import shutil
+import sys
 
 from quixote import cleanup
-from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon.admin.texts import TextsDirectory
+from utilities import MockSubstitutionVariables
+from utilities import create_temporary_pub
 
-from utilities import create_temporary_pub, MockSubstitutionVariables
+from wcs.qommon.admin.texts import TextsDirectory
+from wcs.qommon.http_request import HTTPRequest
 
 
 def setup_module(module):
diff --git a/tests/test_tracking_code.py b/tests/test_tracking_code.py
index 84a15d0b..75402c7c 100644
--- a/tests/test_tracking_code.py
+++ b/tests/test_tracking_code.py
@@ -1,9 +1,9 @@
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
 from wcs.formdef import FormDef
 
-from utilities import create_temporary_pub, clean_temporary_pub
-
 
 def pytest_generate_tests(metafunc):
     if 'pub' in metafunc.fixturenames:
diff --git a/tests/test_upload_storage.py b/tests/test_upload_storage.py
index 3b5eb2fd..6c6f77a6 100644
--- a/tests/test_upload_storage.py
+++ b/tests/test_upload_storage.py
@@ -1,20 +1,22 @@
 # -*- coding: utf-8 -*-
 
-import os
 import json
+import os
+
 import mock
 import pytest
-
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
-from wcs.qommon.ident.password_accounts import PasswordAccount
-from wcs.formdef import FormDef
-from wcs.categories import Category
 from wcs import fields
+from wcs.categories import Category
+from wcs.formdef import FormDef
+from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
-
 
 def pytest_generate_tests(metafunc):
     if 'pub' in metafunc.fixturenames:
diff --git a/tests/test_variadic_url.py b/tests/test_variadic_url.py
index e7774bc8..c6d8391b 100644
--- a/tests/test_variadic_url.py
+++ b/tests/test_variadic_url.py
@@ -1,9 +1,9 @@
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
-from wcs.qommon.misc import get_variadic_url
 from wcs.qommon.ezt import EZTException
-
-from utilities import create_temporary_pub, clean_temporary_pub
+from wcs.qommon.misc import get_variadic_url
 
 
 @pytest.fixture
diff --git a/tests/test_widgets.py b/tests/test_widgets.py
index c260f858..470e05c2 100644
--- a/tests/test_widgets.py
+++ b/tests/test_widgets.py
@@ -1,22 +1,21 @@
 # -*- coding: utf-8 -*-
 
+import copy
 import datetime
 import shutil
-import copy
 
-from quixote import cleanup, get_response
-from quixote.http_request import parse_query
 import mechanize
-
 import pytest
+from quixote import cleanup
+from quixote import get_response
+from quixote.http_request import parse_query
+from utilities import create_temporary_pub
 
 from wcs.qommon import sessions
 from wcs.qommon.form import *
 from wcs.qommon.http_request import HTTPRequest
 from wcs.wf.profile import ProfileUpdateRowWidget
 
-from utilities import create_temporary_pub
-
 
 def setup_module(module):
     cleanup()
diff --git a/tests/test_workflow_import.py b/tests/test_workflow_import.py
index 67ca3a07..2ca68170 100644
--- a/tests/test_workflow_import.py
+++ b/tests/test_workflow_import.py
@@ -1,44 +1,45 @@
 # -*- coding: utf-8 -*-
 
 import io
-import pytest
 import xml.etree.ElementTree as ET
 
+import pytest
 from quixote.http_request import Upload
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
 from wcs.carddef import CardDef
+from wcs.fields import FileField
+from wcs.fields import StringField
 from wcs.formdef import FormDef
 from wcs.mail_templates import MailTemplate
-from wcs.workflows import (
-    Workflow,
-    CommentableWorkflowStatusItem,
-    WorkflowCriticalityLevel,
-    WorkflowBackofficeFieldsFormDef,
-    SendmailWorkflowStatusItem,
-    SendSMSWorkflowStatusItem,
-    WorkflowImportError,
-    ChoiceWorkflowStatusItem,
-    JumpOnSubmitWorkflowStatusItem,
-)
+from wcs.qommon.form import UploadedFile
+from wcs.qommon.misc import indent_xml as indent
 from wcs.wf.attachment import AddAttachmentWorkflowStatusItem
-from wcs.wf.wscall import WebserviceCallStatusItem
-from wcs.wf.dispatch import DispatchWorkflowStatusItem
-from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
-from wcs.wf.profile import UpdateUserProfileStatusItem
 from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
-from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
-from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, Mapping
+from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem
+from wcs.wf.create_formdata import Mapping
+from wcs.wf.dispatch import DispatchWorkflowStatusItem
 from wcs.wf.external_workflow import ExternalWorkflowGlobalAction
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.wf.jump import JumpWorkflowStatusItem
-from wcs.fields import StringField, FileField
-from wcs.qommon.form import UploadedFile
-from wcs.workflows import ExportToModel, WorkflowVariablesFieldsFormDef, DisplayMessageWorkflowStatusItem
-
-
-from wcs.qommon.misc import indent_xml as indent
-
-from utilities import create_temporary_pub, clean_temporary_pub
+from wcs.wf.profile import UpdateUserProfileStatusItem
+from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
+from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
+from wcs.wf.wscall import WebserviceCallStatusItem
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import DisplayMessageWorkflowStatusItem
+from wcs.workflows import ExportToModel
+from wcs.workflows import JumpOnSubmitWorkflowStatusItem
+from wcs.workflows import SendmailWorkflowStatusItem
+from wcs.workflows import SendSMSWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
+from wcs.workflows import WorkflowCriticalityLevel
+from wcs.workflows import WorkflowImportError
+from wcs.workflows import WorkflowVariablesFieldsFormDef
 
 
 @pytest.fixture
diff --git a/tests/test_workflows.py b/tests/test_workflows.py
index 12419b4d..7d1e5bc6 100644
--- a/tests/test_workflows.py
+++ b/tests/test_workflows.py
@@ -1,95 +1,99 @@
 import base64
+import datetime
 import io
 import json
-import datetime
 import os
-import pytest
 import shutil
 import time
 import urllib.parse
 import zipfile
 
 import mock
+import pytest
 
 try:
     from PIL import Image
 except ImportError:
     Image = None
 
-from django.utils.encoding import force_bytes, force_text
-
-from quixote import cleanup, get_response
-from wcs.qommon.errors import ConnectionError
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import cleanup
+from quixote import get_response
 from quixote.http_request import Upload as QuixoteUpload
-from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon.form import PicklableUpload
-from wcs.qommon.form import *
+from utilities import MockSubstitutionVariables
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
+from wcs import sessions
 from wcs.blocks import BlockDef
-from wcs.formdef import FormDef
 from wcs.carddef import CardDef
-from wcs import sessions
-from wcs.fields import (
-    StringField,
-    DateField,
-    MapField,
-    FileField,
-    ItemField,
-    ItemsField,
-    CommentField,
-    EmailField,
-    PageField,
-    TitleField,
-    SubtitleField,
-    TextField,
-    BoolField,
-    TableField,
-    BlockField,
-)
+from wcs.fields import BlockField
+from wcs.fields import BoolField
+from wcs.fields import CommentField
+from wcs.fields import DateField
+from wcs.fields import EmailField
+from wcs.fields import FileField
+from wcs.fields import ItemField
+from wcs.fields import ItemsField
+from wcs.fields import MapField
+from wcs.fields import PageField
+from wcs.fields import StringField
+from wcs.fields import SubtitleField
+from wcs.fields import TableField
+from wcs.fields import TextField
+from wcs.fields import TitleField
 from wcs.formdata import Evolution
-from wcs.workflows import (
-    Workflow,
-    WorkflowStatusItem,
-    SendmailWorkflowStatusItem,
-    SendSMSWorkflowStatusItem,
-    CommentableWorkflowStatusItem,
-    ChoiceWorkflowStatusItem,
-    DisplayMessageWorkflowStatusItem,
-    AbortActionException,
-    WorkflowCriticalityLevel,
-    AttachmentEvolutionPart,
-    WorkflowBackofficeFieldsFormDef,
-    WorkflowVariablesFieldsFormDef,
-    perform_items,
-)
-from wcs.wf.aggregation_email import (
-    AggregationEmailWorkflowStatusItem,
-    AggregationEmail,
-    send_aggregation_emails,
-)
+from wcs.formdef import FormDef
+from wcs.qommon.errors import ConnectionError
+from wcs.qommon.form import PicklableUpload
+from wcs.qommon.form import *
+from wcs.qommon.http_request import HTTPRequest
+from wcs.wf.aggregation_email import AggregationEmail
+from wcs.wf.aggregation_email import AggregationEmailWorkflowStatusItem
+from wcs.wf.aggregation_email import send_aggregation_emails
 from wcs.wf.anonymise import AnonymiseWorkflowStatusItem
-from wcs.wf.criticality import ModifyCriticalityWorkflowStatusItem, MODE_INC, MODE_DEC, MODE_SET
-from wcs.wf.dispatch import DispatchWorkflowStatusItem
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
-from wcs.wf.jump import JumpWorkflowStatusItem, _apply_timeouts
-from wcs.wf.timeout_jump import TimeoutWorkflowStatusItem
-from wcs.wf.profile import UpdateUserProfileStatusItem
-from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem, JournalEvolutionPart
-from wcs.wf.remove import RemoveWorkflowStatusItem
-from wcs.wf.roles import AddRoleWorkflowStatusItem, RemoveRoleWorkflowStatusItem
-from wcs.wf.wscall import WebserviceCallStatusItem
-from wcs.wf.export_to_model import ExportToModel, transform_to_pdf
-from wcs.wf.geolocate import GeolocateWorkflowStatusItem
 from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
-from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
-from wcs.wf.notification import SendNotificationWorkflowStatusItem
-from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, Mapping
 from wcs.wf.create_carddata import CreateCarddataWorkflowStatusItem
+from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem
+from wcs.wf.create_formdata import Mapping
+from wcs.wf.criticality import MODE_DEC
+from wcs.wf.criticality import MODE_INC
+from wcs.wf.criticality import MODE_SET
+from wcs.wf.criticality import ModifyCriticalityWorkflowStatusItem
+from wcs.wf.dispatch import DispatchWorkflowStatusItem
 from wcs.wf.edit_carddata import EditCarddataWorkflowStatusItem
+from wcs.wf.export_to_model import ExportToModel
+from wcs.wf.export_to_model import transform_to_pdf
 from wcs.wf.external_workflow import ExternalWorkflowGlobalAction
-
-
-from utilities import create_temporary_pub, MockSubstitutionVariables, clean_temporary_pub
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
+from wcs.wf.geolocate import GeolocateWorkflowStatusItem
+from wcs.wf.jump import JumpWorkflowStatusItem
+from wcs.wf.jump import _apply_timeouts
+from wcs.wf.notification import SendNotificationWorkflowStatusItem
+from wcs.wf.profile import UpdateUserProfileStatusItem
+from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
+from wcs.wf.register_comment import JournalEvolutionPart
+from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
+from wcs.wf.remove import RemoveWorkflowStatusItem
+from wcs.wf.roles import AddRoleWorkflowStatusItem
+from wcs.wf.roles import RemoveRoleWorkflowStatusItem
+from wcs.wf.timeout_jump import TimeoutWorkflowStatusItem
+from wcs.wf.wscall import WebserviceCallStatusItem
+from wcs.workflows import AbortActionException
+from wcs.workflows import AttachmentEvolutionPart
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import DisplayMessageWorkflowStatusItem
+from wcs.workflows import SendmailWorkflowStatusItem
+from wcs.workflows import SendSMSWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
+from wcs.workflows import WorkflowCriticalityLevel
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import WorkflowVariablesFieldsFormDef
+from wcs.workflows import perform_items
 
 
 def setup_module(module):
diff --git a/tests/test_wscall.py b/tests/test_wscall.py
index 95a73f4e..c4b5266c 100644
--- a/tests/test_wscall.py
+++ b/tests/test_wscall.py
@@ -1,5 +1,9 @@
 import json
+
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs import fields
 from wcs.formdef import FormDef
@@ -7,8 +11,6 @@ from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.template import Template
 from wcs.wscalls import NamedWsCall
 
-from utilities import get_app, create_temporary_pub, clean_temporary_pub
-
 
 @pytest.fixture
 def pub():
